Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicFileChooserUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.FileChooserUI
                  |
                  +--javax.swing.plaf.basic.BasicFileChooserUI

Direct Known Subclasses:
  MetalFileChooserUI

public class BasicFileChooserUI
extends FileChooserUI

Basic L&F implementation of a FileChooser.

Inner Class Summary
`protected class` | `BasicFileChooserUI.AcceptAllFileFilter`
`protected class` | `BasicFileChooserUI.ApproveSelectionAction` Responds to an Open or Save request
`protected class` | `BasicFileChooserUI.BasicFileView`
`protected class` | `BasicFileChooserUI.CancelSelectionAction` Responds to a cancel request.
`protected class` | `BasicFileChooserUI.ChangeToParentDirectoryAction`
`protected class` | `BasicFileChooserUI.DoubleClickListener`
`protected class` | `BasicFileChooserUI.GoHomeAction` Acts on the "home" key event or equivalent event.
`protected class` | `BasicFileChooserUI.NewFolderAction` Creates a new folder.
`protected class` | `BasicFileChooserUI.SelectionListener`
`protected class` | `BasicFileChooserUI.UpdateAction` Rescans the files in the current directory

Field Summary
`protected int` | `cancelButtonMnemonic`
`protected String` | `cancelButtonText`
`protected String` | `cancelButtonToolTipText`
`protected Icon` | `computerIcon`
`protected Icon` | `detailsViewIcon`
`protected Icon` | `directoryIcon`
`protected Icon` | `fileIcon`
`protected Icon` | `floppyDriveIcon`
`protected Icon` | `hardDriveIcon`
`protected int` | `helpButtonMnemonic`
`protected String` | `helpButtonText`
`protected String` | `helpButtonToolTipText`
`protected Icon` | `homeFolderIcon`
`protected Icon` | `listViewIcon`
`protected Icon` | `newFolderIcon`
`protected int` | `openButtonMnemonic`
`protected String` | `openButtonText`
`protected String` | `openButtonToolTipText`
`protected int` | `saveButtonMnemonic`
`protected String` | `saveButtonText`
`protected String` | `saveButtonToolTipText`
`protected int` | `updateButtonMnemonic`
`protected String` | `updateButtonText`
`protected String` | `updateButtonToolTipText`
`protected Icon` | `upFolderIcon`

Constructor Summary
`BasicFileChooserUI(JFileChooser b)`

Method Summary
`void` | `clearIconCache()`
`protected MouseListener` | `createDoubleClickListener(JFileChooser fc, JList list)`
`ListSelectionListener` | `createListSelectionListener(JFileChooser fc)`
`protected void` | `createModel()`
`PropertyChangeListener` | `createPropertyChangeListener(JFileChooser fc)`
`void` | `ensureFileIsVisible(JFileChooser fc, File f)`
`FileFilter` | `getAcceptAllFileFilter(JFileChooser fc)` Returns the default accept all file filter
`JPanel` | `getAccessoryPanel()`
`protected JButton` | `getApproveButton(JFileChooser fc)`
`int` | `getApproveButtonMnemonic(JFileChooser fc)`
`String` | `getApproveButtonText(JFileChooser fc)`
`String` | `getApproveButtonToolTipText(JFileChooser fc)`
`Action` | `getApproveSelectionAction()`
`Action` | `getCancelSelectionAction()`
`Action` | `getChangeToParentDirectoryAction()`
`String` | `getDialogTitle(JFileChooser fc)` Returns the title of this dialog
`String` | `getDirectoryName()`
`JFileChooser` | `getFileChooser()`
`String` | `getFileName()`
`FileView` | `getFileView(JFileChooser fc)`
`Action` | `getGoHomeAction()`
`BasicDirectoryModel` | `getModel()`
`Action` | `getNewFolderAction()`
`Action` | `getUpdateAction()`
`void` | `installComponents(JFileChooser fc)`
`protected void` | `installDefaults(JFileChooser fc)`
`protected void` | `installIcons(JFileChooser fc)`
`protected void` | `installListeners(JFileChooser fc)`
`protected void` | `installStrings(JFileChooser fc)`
`void` | `installUI(JComponent c)`
`void` | `rescanCurrentDirectory(JFileChooser fc)`
`void` | `setDirectoryName(String dirname)`
`void` | `setFileName(String filename)`
`void` | `uninstallComponents(JFileChooser fc)`
`protected void` | `uninstallDefaults(JFileChooser fc)`
`protected void` | `uninstallIcons(JFileChooser fc)`
`protected void` | `uninstallListeners(JFileChooser fc)`
`protected void` | `uninstallStrings(JFileChooser fc)`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### directoryIcon

    protected Icon directoryIcon

### fileIcon

    protected Icon fileIcon

### computerIcon

    protected Icon computerIcon

### hardDriveIcon

    protected Icon hardDriveIcon

### floppyDriveIcon

    protected Icon floppyDriveIcon

### newFolderIcon

    protected Icon newFolderIcon

### upFolderIcon

    protected Icon upFolderIcon

### homeFolderIcon

    protected Icon homeFolderIcon

### listViewIcon

    protected Icon listViewIcon

### detailsViewIcon

    protected Icon detailsViewIcon

### saveButtonMnemonic

    protected int saveButtonMnemonic

### openButtonMnemonic

    protected int openButtonMnemonic

### cancelButtonMnemonic

    protected int cancelButtonMnemonic

### updateButtonMnemonic

    protected int updateButtonMnemonic

### helpButtonMnemonic

    protected int helpButtonMnemonic

### saveButtonText

    protected String saveButtonText

### openButtonText

    protected String openButtonText

### cancelButtonText

    protected String cancelButtonText

### updateButtonText

    protected String updateButtonText

### helpButtonText

    protected String helpButtonText

### saveButtonToolTipText

    protected String saveButtonToolTipText

### openButtonToolTipText

    protected String openButtonToolTipText

### cancelButtonToolTipText

    protected String cancelButtonToolTipText

### updateButtonToolTipText

    protected String updateButtonToolTipText

### helpButtonToolTipText

    protected String helpButtonToolTipText

Constructor Detail

### BasicFileChooserUI

    public BasicFileChooserUI(JFileChooser b)

Method Detail

### installUI

    public void installUI(JComponent c)

  Overrides:
    `installUI` in class `ComponentUI`

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    `uninstallUI` in class `ComponentUI`

### installComponents

    public void installComponents(JFileChooser fc)

### uninstallComponents

    public void uninstallComponents(JFileChooser fc)

### installListeners

    protected void installListeners(JFileChooser fc)

### uninstallListeners

    protected void uninstallListeners(JFileChooser fc)

### installDefaults

    protected void installDefaults(JFileChooser fc)

### installIcons

    protected void installIcons(JFileChooser fc)

### installStrings

    protected void installStrings(JFileChooser fc)

### uninstallDefaults

    protected void uninstallDefaults(JFileChooser fc)

### uninstallIcons

    protected void uninstallIcons(JFileChooser fc)

### uninstallStrings

    protected void uninstallStrings(JFileChooser fc)

### createModel

    protected void createModel()

### getModel

    public BasicDirectoryModel getModel()

### createPropertyChangeListener

    public PropertyChangeListener createPropertyChangeListener(JFileChooser fc)

### getFileName

    public String getFileName()

### getDirectoryName

    public String getDirectoryName()

### setFileName

    public void setFileName(String filename)

### setDirectoryName

    public void setDirectoryName(String dirname)

### rescanCurrentDirectory

    public void rescanCurrentDirectory(JFileChooser fc)

  Overrides:
    `rescanCurrentDirectory` in class `FileChooserUI`

### ensureFileIsVisible

    public void ensureFileIsVisible(JFileChooser fc,
                                    File f)

  Overrides:
    `ensureFileIsVisible` in class `FileChooserUI`

### getFileChooser

    public JFileChooser getFileChooser()

### getAccessoryPanel

    public JPanel getAccessoryPanel()

### getApproveButton

    protected JButton getApproveButton(JFileChooser fc)

### getApproveButtonToolTipText

    public String getApproveButtonToolTipText(JFileChooser fc)

### clearIconCache

    public void clearIconCache()

### createListSelectionListener

    public ListSelectionListener createListSelectionListener(JFileChooser fc)

### createDoubleClickListener

    protected MouseListener createDoubleClickListener(JFileChooser fc,
                                                      JList list)

### getAcceptAllFileFilter

    public FileFilter getAcceptAllFileFilter(JFileChooser fc)

  Returns the default accept all file filter
  Overrides:
    `getAcceptAllFileFilter` in class `FileChooserUI`

### getFileView

    public FileView getFileView(JFileChooser fc)

  Overrides:
    `getFileView` in class `FileChooserUI`

### getDialogTitle

    public String getDialogTitle(JFileChooser fc)

  Returns the title of this dialog
  Overrides:
    `getDialogTitle` in class `FileChooserUI`

### getApproveButtonMnemonic

    public int getApproveButtonMnemonic(JFileChooser fc)

### getApproveButtonText

    public String getApproveButtonText(JFileChooser fc)

  Overrides:
    `getApproveButtonText` in class `FileChooserUI`

### getNewFolderAction

    public Action getNewFolderAction()

### getGoHomeAction

    public Action getGoHomeAction()

### getChangeToParentDirectoryAction

    public Action getChangeToParentDirectoryAction()

### getApproveSelectionAction

    public Action getApproveSelectionAction()

### getCancelSelectionAction

    public Action getCancelSelectionAction()

### getUpdateAction

    public Action getUpdateAction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.